1. Campaign
Plusvibe.ai API Documentation
  • Getting Started
    • Getting Started
    • Webhooks - Overview
    • Webhooks - Payload - Email Replies
    • Webhooks - Payload - Lead Marked As Label
    • Webhooks - Payload - Campaign Emails Sent
    • Webhooks - Payload - Bounced Email
    • Webhooks - Payload - Unibox Email Sent
    • Workspace Deep Link Parameter
    • Email Infra Provider Guide
  • User API Endpoints
    • Workspace
      • Get workspaces
      • Add a new workspace
      • Copy workspace settings
    • Campaign
      • Create a new campaign
        POST
      • Create a new subsequence
        POST
      • List campaigns (deprecated)
        GET
      • List all campaigns
        GET
      • Get campaign name
        GET
      • Get campaign status
        GET
      • Get campaign email accounts
        GET
      • Get campaign emails
        GET
      • Get campaign variation stats
        GET
      • Set campaign name
        POST
      • Set campaign Schedules (deprecated)
        POST
      • Activate campaign
        POST
      • Pause campaign
        POST
      • Update Campaign
        PATCH
      • Delete or archive a campaign
        DELETE
    • Lead
      • Add leads to a campaign
      • Add leads to a subsequence campaign
      • Get or search for lead
      • Delete leads from a campaign
      • Lead Variable/Label Update or Add
      • Fetch workspace leads
      • Update the status of a lead
      • Get lead counts by status
    • Email Account
      • List all email accounts in the workspace
      • Get email account status
      • Check account vitals
      • Enable Email account warmup
      • Pause Email account warmup
      • Delete Email account
      • Get Warmup Stats (Workspace-Level)
      • Bulk Add SMTP Accounts
      • Bulk Update Email Accounts
      • Bulk Update Email Account Warmup Status
      • Bulk Assign/Remove Tags from Email Accounts
      • Bulk reconnect email accounts
      • Get email account stats for a date range
    • Analytics
      • Get campaign summary
      • Get campaign count (deprecated)
      • Get campaign stats
      • Get all campaigns statistics
    • Unibox
      • Get emails
      • Get emails in Others folder
      • Get count of unread emails
      • Reply to an email
      • Forward an existing email
      • Compose New Email
      • Mark Email Read
      • Save Email as Draft
      • Delete an Entire Email Thread
      • Delete a Single Email Message
    • Blocklist
      • Get entries in the blocklist
      • Adds entries to the blocklist
      • Delete entries in the blocklist
    • Webhook
      • Add a new webhook
      • List webhooks
      • Delete webhook(s)
    • Tags
      • List Tags
      • Create a New Tag
      • Update an Existing Tag
      • Delete Multiple Tags
    • Client Access
      • Create client
      • Edit client
      • Update client status
      • Delete client
      • List clients
    • Email Placement Test
      • Parent Recurring Test
        • Create a new parent test (recurring test)
        • Update a parent test
        • List all parent tests
        • Get parent test details
        • Delete parent test(s)
        • Duplicate a parent test
      • Child (Test Run) Test
        • List child (Test Run) tests
        • Get child test details
      • Results & Analytics
        • Get test summary
        • Get detailed test statistics
        • Get test result for a sender account
      • Get recipient providers
    • Schemas
      • ScheduleV2
      • SequenceStep
      • Campaign
      • Variation
      • EmailAccountId
      • WarmupStatus
      • BulkUpdateWarmupRequest
      • TagAction
      • BulkTagAssignmentRequest
      • ObjectId
      • HexColor
      • CreateTagRequest
      • UpdateTagRequest
      • DeleteTagsRequest
      • DeleteCampaignRequest
      • BulkReconnectRequest
      • SuccessResponse
      • ErrorResponse
      • ClientWorkspacePermission
      • CreateClientRequest
      • CreateClientResponse
      • UpdateClientRequest
      • ClientListItem
      • PatchClientStatusRequest
      • GenericSuccessResponse
      • ParentTest
      • ParentTestDetail
      • ChildTest
      • ChildTestDetail
      • VariationStepStats
      • VariationStats
      • CopyWorkspaceRequest
      • ResourceType
      • CopyWorkspaceResponse
      • EmailStatsResponse
      • EmailStatsHeader
      • EmailStatsChartPoint
      • ValidationErrorResponse
      • CheckSuccess
      • AuthFailure
  • For Email Infra Provider
    • Email Infra Provider Guide
    • List workspaces
    • List all email accounts in the workspace
    • Check if an email exists in another workspace
    • Initiate Google OAuth login flow
    • Initiate Microsoft OAuth login flow
    • Bulk Add SMTP Accounts (via Username and Password)
    • Schemas
      • AuthFailure
      • CheckSuccess
      • ErrorResponse
  1. Campaign

Get campaign emails

GET
https://api.plusvibe.ai/api/v1/unibox/campaign-emails
Fetch campaign emails sent to a specific lead within a workspace. Optional campaign_id parameter can filter emails for a specific campaign.

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Query Params

Responses

🟢200OK
application/json
A list of campaign emails sent to the lead.
Bodyapplication/json

🟠400Bad Request
🔴500Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.plusvibe.ai/api/v1/unibox/campaign-emails?workspace_id=undefined&lead=undefined&campaign_id=undefined' \
--header 'x-api-key: <api-key>'
Response Response Example
200 - Success Example
{
    "page_trail": "",
    "data": [
        {
            "organization_id": "6509f7691205283f2a79f98b",
            "workspace_id": "6509f7691205283f2a79f98c",
            "lead_id": "673fa7040561f861461832a2",
            "current_step": 3,
            "sent_on": "2024-12-17T21:04:41.582Z",
            "variation": "A",
            "message_id": "<44cfd246-4b87-cc15-289d-c36c3e9d823f@gopiplai.com>",
            "subject": "Your Campaign Introduction",
            "body": "Hi there, this is a sample campaign email body. Let us know if you're interested!",
            "is_text": 1,
            "id": "6761e769c149e4d9ca7732fe",
            "campaign_id": "673fa3520561f86146182478",
            "eaccount": "sender@example.com",
            "lead": "lead@example.com"
        }
    ]
}
Modified at 2026-07-24 16:34:04
Previous
Get campaign email accounts
Next
Get campaign variation stats
Built with